Subject: Re: [Mip4] mipv4: routing in co-located mode

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 07 Oct 2010 10:47:43 +0200

Matthias,

Let me try to understand you.  To me, "co-located" means the FA is in
the MN and I no longer say "FA", just MN.  But I am not sure what you
mean by "co-located", because you do say "FA"(?).

Is this picture illustrating correctly your setting?

                |                  |        |
     --      ------               --      ------
    |HA|    |Router|             |FA|    |Router|
     --      ------               --      ------
      |1.10     |1.1               |10.10    |10.1
     ------------- A 1.0/24       ------------- B 10.0/24
           |.40
          --HoA
         |MN|
          --

Besides, I don't understand why in B you have both an FA and a Router?
There should be only one - the Router (or "Access Router").

I like that you use the ip tools to set things up (as opposed to the
programmatic C interface) - I am a big fan of prototyping Mobile IP with
ip tools and scripts.

Alex

Le 28/09/2010 19:58, Matthias Guentert a écrit :
> Hello list members
>
> I am trying to understand how the routing is working in a co-located
> MIP (rfc3344) situation like this:
>
> Subnet A:   192.168.1.0/24 HA:         192.168.1.10/24 Router:
> 192.168.1.1/24
>
> Subnet B:   192.168.10.0/24 FA:         192.168.10.10/24 Router:
> 192.168.10.1/24
>
> MN HoA:     192.168.1.40/24 def GW:     192.168.1.1/24
>
> ==>  Home Agent Configuration
>
> HA # ip tunnel add tun0 mode ipip remote 192.168.10.10 local
> 192.168.1.10
>
> HA # ifconfig tun0 up HA # ifconfig tun0 10.1.1.1 netmask
> 255.255.255.252 pointopoint 10.1.1.2
>
> HA # sysctl -w net.ipv4.conf.eth0.proxy_arp=1 HA # sysctl -w
> net.ipv4.ip_forward=1
>
> HA # route add -host 192.168.1.40 dev tun0
>
> HA # ip route
>
> 192.168.1.40 dev tun0  scope link 10.1.1.0/30 dev tun0  proto kernel
> scope link  src 10.1.1.1 192.168.1.0/24 dev eth0  proto kernel  scope
> link  src 192.168.1.10  metric 1 default via 192.168.1.1 dev eth0
> proto static
>
> ==>  Foreign Agent Configuration
>
> FA # ip tunnel add tun0 mode ipip remote 192.168.1.10 local
> 192.168.10.10
>
> FA # ifconfig tun0 up FA # ifconfig tun0 10.1.1.2 netmask
> 255.255.255.252 pointopoint 10.1.1.1
>
> FA # sysctl -w net.ipv4.ip_forward=1 FA # sysctl -w
> net.ipv4.all.send_redirects=0
>
> FA # ip route
>
> 192.168.1.40 dev br0  scope link 10.1.1.0/30 dev tun0  proto kernel
> scope link  src 10.1.1.2 169.254.0.0/16 dev br0  scope link  metric
> 1004 default via 192.168.10.1 dev br0
>
> ==>  Mobile Node situated in the FN
>
> MN # route add -host 192.168.10.10 wlan0 MN # route add default gw
> 192.168.10.10
>
> The thing is, I can ping 192.168.1.40 from the HA but I am not able
> to ping any hosts in Subnet A from the MN. If I add a route like this
> on the FA, the MN is still not able to reach the HA or other hosts
> in this subnet
>
> FA # route add -net 192.168.1.0 tun0
>
> What did I miss here? What should this look like in a mobile ip
> environement?
>
> Regards, Matthias -- Mip4 mailing list: [email-masked] Web interface:
> https://www.ietf.org/mailman/listinfo/mip4 Charter page:
> http://www.ietf.org/html.charters/mip4-charter.html Supplemental
> site: http://www.mip4.org/
>